// nova-shop/pages/cates/article-list/index.js
const Parse = getApp().Parse
const company = getApp().globalData.company
const dateF = require('../../../../utils/date.js')
Page({

    /**
     * 页面的初始数据
     */
    data: {
        title: "热门资讯",
        articleList: [],
        titles: [],
        id: []
    },


    /**
     * 生命周期函数--监听页面加载
     */
    // category
    onLoad: function(options) {
        console.log(options)
        this.setData({
            title: options.title
        })
        let cid = options.cid
        this.getArticle(cid)
    },
    textClick(e) {
        let that = this;
        console.log(e)
        let item = e.currentTarget.dataset.item
        wx.navigateTo({
            url: `/common-page/pages/cates/article-detail/index?title=${item.title}&aid=${item.objectId}`
        });

    },
    async getArticle(cid) {
        let Article = new Parse.Query('Article')
        Article.equalTo('category', cid);
        Article.equalTo('company', company);
        Article.equalTo('isEnabled', true);
        Article.select('image', 'title', 'createdAt', 'objectId', 'publishDate')
        let res = await Article.find();
        let articleList = [];
        res.forEach(log => {
            let logs = log.toJSON();
            logs.date = logs.publishDate ? dateF.formatTime("YYYY-mm-dd", logs.publishDate.iso) : dateF.formatTime("YYYY-mm-dd", logs.createdAt)
            articleList.push(logs);
        });
        console.log(articleList, )
        this.setData({
            articleList: articleList
        })

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function() {

    }
})